{-# LANGUAGE TypeSynonymInstances #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE OverloadedStrings #-}

module Text.BluePrintCSS.Blaze where 

import Control.Monad
import Text.Blaze
import qualified Text.Blaze.Html5 as H
import qualified Text.Blaze.Html5.Attributes as A
import Text.BluePrintCSS

instance (AsCssClass x) => AsSection x (Html a) where
    asSection attrs w last chld =
        H.div ! A.class_ (stringValue $ unwords $ makeCssClass attrs w last) $ do
            sequence chld

    asRootSection attrs chld =
        H.div ! A.class_ (stringValue $ unwords ("container":asCssClass attrs)) $ do
            sequence chld

