{-# OPTIONS_GHC -F -pgmF trhsx #-}
{-# LANGUAGE TypeFamilies #-}
{-# LANGUAGE UndecidableInstances #-}
{-# LANGUAGE TypeSynonymInstances #-}
{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE MultiParamTypeClasses #-}

module Text.BluePrintCSS.XMLGenT where 

import qualified Text.BluePrintCSS as BP
import HSX.XMLGenerator

instance (
    XMLGen m
    ,a ~ (XML m)
    ,EmbedAsChild m a
    ,EmbedAsAttr m (Attr [Char] String)
    ,BP.AsCssClass x
    ) => BP.AsSection x (XMLGenT m a) 
    where
    asSection attrs w last chld =
        <div class=(unwords $ BP.makeCssClass attrs w last)><% chld %></div>

    asRootSection attrs chld =
        <div class=(unwords $ ("container":BP.asCssClass attrs))><% chld %></div>

